Function (Jython API documentation)
Date: 2015-04-29

org.python.modules.jffi

## Class Function

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.modules.jffi.BasePointer
    - - org.python.modules.jffi.Function

- All Implemented Interfaces:
    Serializable, Pointer

      public class Function
      extends BasePointer
      implements Pointer

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PyObject` | `errcheck`
    `String` | `name`
    `static PyType` | `TYPE`

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `__call__()` A variant of the __call__ method with no arguments.
    `PyObject` | `__call__(PyObject arg0)` A variant of the __call__ method with one argument.
    `PyObject` | `__call__(PyObject[] args, String[] keywords)` The basic method to override when implementing a callable object.
    `PyObject` | `__call__(PyObject arg0, PyObject arg1)` A variant of the __call__ method with two arguments.
    `PyObject` | `__call__(PyObject arg0, PyObject arg1, PyObject arg2)` A variant of the __call__ method with three arguments.
    `PyObject` | `__call__(PyObject arg0, PyObject arg1, PyObject arg2, PyObject arg3)` A variant of the __call__ method with four arguments.
    `boolean` | `__nonzero__()` Equivalent to the standard Python __nonzero__ method.
    `void` | `errcheck(PyObject errcheck)`
    `PyObject` | `fastGetDict()` xxx implements where meaningful
    `static PyObject` | `Function_new(PyNewWrapper new_, boolean init, PyType subtype, PyObject[] args, String[] keywords)`
    `PyObject` | `getArgTypes()`
    `PyObject` | `getDict()` xxx implements where meaningful
    `DirectMemory` | `getMemory()`
    `PyObject` | `getResultType()`
    `void` | `setArgTypes(PyObject parameterTypes)`
    `void` | `setResultType(PyObject restype)`

    - ### Methods inherited from class org.python.modules.jffi.BasePointer

      `__int__, __long__, address`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final PyType TYPE

    - #### errcheck

          public PyObject errcheck

    - #### name

          public final String name

  - ### Method Detail

    - #### Function_new

          public static PyObject Function_new(PyNewWrapper new_,
                              boolean init,
                              PyType subtype,
                              PyObject[] args,
                              String[] keywords)

    - #### getMemory

          public DirectMemory getMemory()

      Specified by:
        `getMemory` in interface `Pointer`

    - #### fastGetDict

          public PyObject fastGetDict()

      Description copied from class: `PyObject`
      xxx implements where meaningful
      Overrides:
        `fastGetDict` in class `PyObject`
      Returns:
        internal object per instance dict or null

    - #### getDict

          public PyObject getDict()

      Description copied from class: `PyObject`
      xxx implements where meaningful
      Overrides:
        `getDict` in class `PyObject`
      Returns:
        internal object __dict__ or null

    - #### __call__

          public PyObject __call__(PyObject[] args,
                          String[] keywords)

      Description copied from class: `PyObject`
      The basic method to override when implementing a callable object. The first len(args)-len(keywords) members of args[] are plain arguments. The last len(keywords) arguments are the values of the keyword arguments.
      Overrides:
        `__call__` in class `PyObject`
      Parameters:
        `args` - all arguments to the function (including keyword arguments).
        `keywords` - the keywords used for all keyword arguments.

    - #### __call__

          public PyObject __call__()

      Description copied from class: `PyObject`
      A variant of the __call__ method with no arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.
      Overrides:
        `__call__` in class `PyObject`

    - #### __call__

          public PyObject __call__(PyObject arg0)

      Description copied from class: `PyObject`
      A variant of the __call__ method with one argument. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.
      Overrides:
        `__call__` in class `PyObject`
      Parameters:
        `arg0` - the single argument to the function.

    - #### __call__

          public PyObject __call__(PyObject arg0,
                          PyObject arg1)

      Description copied from class: `PyObject`
      A variant of the __call__ method with two arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.
      Overrides:
        `__call__` in class `PyObject`
      Parameters:
        `arg0` - the first argument to the function.
        `arg1` - the second argument to the function.

    - #### __call__

          public PyObject __call__(PyObject arg0,
                          PyObject arg1,
                          PyObject arg2)

      Description copied from class: `PyObject`
      A variant of the __call__ method with three arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.
      Overrides:
        `__call__` in class `PyObject`
      Parameters:
        `arg0` - the first argument to the function.
        `arg1` - the second argument to the function.
        `arg2` - the third argument to the function.

    - #### __call__

          public PyObject __call__(PyObject arg0,
                          PyObject arg1,
                          PyObject arg2,
                          PyObject arg3)

      Description copied from class: `PyObject`
      A variant of the __call__ method with four arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.
      Overrides:
        `__call__` in class `PyObject`
      Parameters:
        `arg0` - the first argument to the function.
        `arg1` - the second argument to the function.
        `arg2` - the third argument to the function.
        `arg3` - the fourth argument to the function.

    - #### getResultType

          public PyObject getResultType()

    - #### setResultType

          public void setResultType(PyObject restype)

    - #### getArgTypes

          public PyObject getArgTypes()

    - #### setArgTypes

          public void setArgTypes(PyObject parameterTypes)

    - #### errcheck

          public void errcheck(PyObject errcheck)

    - #### __nonzero__

          public boolean __nonzero__()

      Description copied from class: `PyObject`
      Equivalent to the standard Python __nonzero__ method. Returns whether of not a given `PyObject` is considered true.
      Overrides:
        `__nonzero__` in class `BasePointer`

Jython homepage